package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ArContentType;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ArContentTypeMapper")
public interface ArContentTypeMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ArContentType record);

    ArContentType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ArContentType record);

    List<ArContentType> queryAllArContentType(ArContentType record);

    List<ArContentType> queryArContentTypeByPage(Map<String, Object> parameter);

    int delete(ArContentType record);

    ArContentType queryArContentType(ArContentType record);

    List<ArContentType> query(ArContentType record);
}

